package com.unitreactnativecomponents.nativeComponents
import com.facebook.react.bridge.Arguments
import com.facebook.react.bridge.WritableMap
import com.facebook.react.uimanager.events.Event

class UnitReactNativeComponentsEvent(surfaceId: Int, viewTag: Int) : Event<UnitReactNativeComponentsEvent>() {
  private val kEventName = "onAddToWalletClicked"

  init {
    super.init(surfaceId, viewTag)
  }

  override fun getEventData(): WritableMap? {
    // empty data response
    return Arguments.createMap()
  }

  override fun getEventName(): String {
    return kEventName
  }
}
