import Foundation

extension Bundle {
    var shortVersion: String? {
        return self.infoDictionary?["CFBundleShortVersionString"] as? String
    }

    var buildNumber: String? {
        return self.infoDictionary?["CFBundleVersion"] as? String
    }

    var bundleIdentifier: String? {
        return self.infoDictionary?[kCFBundleIdentifierKey as String] as? String
    }

    var displayName: String? {
        return self.infoDictionary?["CFBundleDisplayName"] as? String
    }

    var bundleName: String? {
        return self.infoDictionary?[kCFBundleNameKey as String] as? String
    }
}
