import Foundation

@objc(UNComponentsSnapshotProtectionModule)
class UNComponentsSnapshotProtectionModule: NSObject, RCTBridgeModule {

    static func moduleName() -> String! {
        return "UNComponentsSnapshotProtectionModule"
    }

    static func requiresMainQueueSetup() -> Bool {
        return true
    }

    @objc func configureSnapshotProtectionStrategy(_ shouldProtect: Bool, style: String) {
        UNSharedServicesProvider.shared.snapshotProtectionService().start(
            shouldProtect: shouldProtect,
            style: style
        )
    }
}
