"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getMultiFactorAuthenticationScript = exports.getMultiFactorAuthenticationParams = void 0;
var _multiFactorAuthenticationMessage = require("../../messages/webMessages/multiFactorAuthenticationMessage");
const getMultiFactorAuthenticationParams = () => {
  return `
  `;
};
exports.getMultiFactorAuthenticationParams = getMultiFactorAuthenticationParams;
const MULTI_FACTOR_AUTHENTICATION_LISTENERS = {
  verificationTokenCreated: `
    window.addEventListener("${_multiFactorAuthenticationMessage.MultiFactorAuthenticationMessage.UNIT_MFA_VERIFICATION_TOKEN_CREATED}", (e) => {
      const response = e.detail
      response.then((data) => {
        postMessageToSDK({ type: "${_multiFactorAuthenticationMessage.MultiFactorAuthenticationMessage.UNIT_MFA_VERIFICATION_TOKEN_CREATED}", details: data.data })
      }).catch((e) => {
        console.log(e)
      })
  });
  `
};
const getMultiFactorAuthenticationScript = () => {
  return `
     ${MULTI_FACTOR_AUTHENTICATION_LISTENERS.verificationTokenCreated}
  `;
};
exports.getMultiFactorAuthenticationScript = getMultiFactorAuthenticationScript;
//# sourceMappingURL=UNMultiFactorAuthenticationComponent.utils.js.map