"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.launchStartCardProvisioning = void 0;
var _UnitComponentsSdkManager = require("../../unitComponentsSdkManager/UnitComponentsSdkManager");
const launchStartCardProvisioning = async wallet => {
  const pushProvisioningModule = _UnitComponentsSdkManager.UnitComponentsSDK.getPushProvisionModule();
  if (!pushProvisioningModule) return;
  try {
    const response = await pushProvisioningModule.launchStartCardProvisioning(JSON.stringify({
      walletCode: wallet?.code,
      walletName: wallet?.name
    }));
    return response;
  } catch (error) {
    console.log('ERROR -pushProvisioningModule.launchStartCardProvisioning: ', error);
  }
};
exports.launchStartCardProvisioning = launchStartCardProvisioning;
//# sourceMappingURL=startProvisioning.js.map