"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getStylesObject = void 0;
var _reactNative = require("react-native");
const getStylesObject = () => {
  return _reactNative.StyleSheet.create({
    addToWalletButton: {
      position: 'absolute',
      height: _reactNative.Platform.OS === 'ios' ? 48 : 55,
      bottom: 32,
      left: 0,
      right: 0,
      marginHorizontal: 24
    },
    loader: {
      position: 'absolute',
      top: 0,
      bottom: 0,
      left: 0,
      right: 0
    }
  });
};
exports.getStylesObject = getStylesObject;
//# sourceMappingURL=UNAddToWalletBottomSheetItem.styles.js.map