"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _reactNative = require("react-native");
let UNShareFileModule = null;
if (_reactNative.Platform.OS === 'android') {
  UNShareFileModule = _reactNative.TurboModuleRegistry.getEnforcing('UNShareFileModule');
} else {
  UNShareFileModule = {
    requestAccess: async () => {
      console.warn('Share file module is not available on iOS.');
      return Promise.resolve('Share file module is not available');
    }
  };
}
var _default = exports.default = UNShareFileModule;
//# sourceMappingURL=RNShareFile.js.map