"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _reactNative = require("react-native");
const SnapshotProtectionModule = _reactNative.TurboModuleRegistry.getEnforcing('UNComponentsSnapshotProtectionModule');
class UNSnapshotProtectionHelper {
  static setAndroidSecurity() {
    /**
     * Set secure flag on the activity's window (if it doesn't exist)
     */
    SnapshotProtectionModule.setSecureFlags();
  }
  static setIosSecurity(shouldProtectFromSnapshot, style) {
    /**
     * Activate a Global native service for managing the snapshotProtection by the given arguments.
     */
    SnapshotProtectionModule.configureSnapshotProtectionStrategy(shouldProtectFromSnapshot, style);
  }
}
var _default = exports.default = UNSnapshotProtectionHelper;
//# sourceMappingURL=UNSnapshotProtectionHelper.js.map