"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UNIT_SECURE_URL = exports.APIHeaders = void 0;
var _env = require("../../types/shared/env.types");
const APIHeaders = exports.APIHeaders = {
  AUTHORIZATION: 'Authorization',
  CONTENT_TYPE: 'application/vnd.api+json'
};
const UNIT_SECURE_URL = exports.UNIT_SECURE_URL = {
  [_env.UNComponentsEnvironment.sandbox]: 'https://secure.api.s.unit.sh',
  [_env.UNComponentsEnvironment.production]: 'https://secure.api.unit.co',
  [_env.UNComponentsEnvironment.mock]: ''
};
//# sourceMappingURL=UNNetworkConstants.js.map