"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.setEvent = exports.selectSharedEvents = exports.default = void 0;
var _toolkit = require("@reduxjs/toolkit");
/* eslint-disable @typescript-eslint/no-explicit-any */

//currently left state suffixes to avoid the duplication of the event names

const initialState = {};
const SharedEventsSlice = (0, _toolkit.createSlice)({
  name: 'SharedEvents',
  initialState: initialState,
  reducers: {
    setEvent(state, action) {
      state.event = action.payload;
    }
  }
});
const {
  setEvent
} = SharedEventsSlice.actions;
exports.setEvent = setEvent;
const selectSharedEvents = state => state.sharedEvents;
exports.selectSharedEvents = selectSharedEvents;
var _default = exports.default = SharedEventsSlice.reducer;
//# sourceMappingURL=SharedEventsSlice.js.map