"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UNPlaidAccountFilter = exports.UNPaymentType = exports.UNCounterpartyVerificationMethod = exports.UNCardNetwork = void 0;
exports.parseUNAccountFilters = parseUNAccountFilters;
let UNPaymentType = exports.UNPaymentType = /*#__PURE__*/function (UNPaymentType) {
  UNPaymentType["AchPayment"] = "achPayment";
  UNPaymentType["BookPayment"] = "bookPayment";
  UNPaymentType["WirePayment"] = "wirePayment";
  UNPaymentType["BillPayment"] = "billPayment";
  UNPaymentType["CardToCardPayment"] = "cardToCardPayment";
  return UNPaymentType;
}({});
let UNPlaidAccountFilter = exports.UNPlaidAccountFilter = /*#__PURE__*/function (UNPlaidAccountFilter) {
  UNPlaidAccountFilter["checking"] = "checking";
  UNPlaidAccountFilter["savings"] = "savings";
  return UNPlaidAccountFilter;
}({});
function parseUNAccountFilters(input) {
  if (!input) return [];
  return input.split(',').map(s => s.trim()).filter(s => s in UNPlaidAccountFilter);
}
let UNCounterpartyVerificationMethod = exports.UNCounterpartyVerificationMethod = /*#__PURE__*/function (UNCounterpartyVerificationMethod) {
  UNCounterpartyVerificationMethod["Plaid"] = "Plaid";
  return UNCounterpartyVerificationMethod;
}({});
let UNCardNetwork = exports.UNCardNetwork = /*#__PURE__*/function (UNCardNetwork) {
  UNCardNetwork["Visa"] = "Visa";
  UNCardNetwork["Diners"] = "Diners";
  UNCardNetwork["Maestro"] = "Maestro";
  UNCardNetwork["Generic"] = "Generic";
  UNCardNetwork["Discover"] = "Discover";
  UNCardNetwork["MasterCard"] = "MasterCard";
  UNCardNetwork["AmericanExpress"] = "AmericanExpress";
  return UNCardNetwork;
}({});
//# sourceMappingURL=payments.types.js.map