import { KeyboardAvoidingView, Platform } from 'react-native';
import React from 'react';
import { statusBarHeight } from '../../components/UNBottomSheetComponent/UNBottomSheetComponent.constants';
const UNKeyboardAvoidingView = ({
  children,
  style,
  keyboardVerticalOffset
}) => {
  return /*#__PURE__*/React.createElement(KeyboardAvoidingView, {
    style: style ?? {
      height: '100%'
    },
    behavior: "padding",
    keyboardVerticalOffset: keyboardVerticalOffset ?? statusBarHeight,
    enabled: Platform.OS === 'android'
  }, children);
};
export default UNKeyboardAvoidingView;
//# sourceMappingURL=UNKeyboardAvoidingView.js.map