import { UnitComponentsSDK } from '../../unitComponentsSdkManager/UnitComponentsSdkManager';
export const launchStartCardProvisioning = async wallet => {
  const pushProvisioningModule = UnitComponentsSDK.getPushProvisionModule();
  if (!pushProvisioningModule) return;
  try {
    const response = await pushProvisioningModule.launchStartCardProvisioning(JSON.stringify({
      walletCode: wallet?.code,
      walletName: wallet?.name
    }));
    return response;
  } catch (error) {
    console.log('ERROR -pushProvisioningModule.launchStartCardProvisioning: ', error);
  }
};
//# sourceMappingURL=startProvisioning.js.map