function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
import React from 'react';
import { Provider } from 'react-redux';
import { store } from '../../store';
export const withReduxStore = Component => {
  const Wrapper = props => {
    return /*#__PURE__*/React.createElement(Provider, {
      store: store
    }, /*#__PURE__*/React.createElement(Component, props));
  };
  return Wrapper;
};
export const withReduxStoreAndRefForwarding = Component => /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(Provider, {
    store: store
  }, /*#__PURE__*/React.createElement(Component, _extends({
    ref: ref
  }, props)));
});
//# sourceMappingURL=helpers.js.map