import { useEffect, useState } from 'react';
import UNSecurityManagerHelper from '../nativeModulesHelpers/UNSecurityHelper';
export const useIsJailbrokeDevice = () => {
  const [isJailbroke, setIsJailbroke] = useState(false);
  useEffect(() => {
    const isDeviceJailbroke = async () => {
      const isDeviceJailbroke = await UNSecurityManagerHelper.isDeviceJailbroke();
      setIsJailbroke(isDeviceJailbroke);
    };
    isDeviceJailbroke();
  }, []);
  return isJailbroke;
};
//# sourceMappingURL=useIsJailbrokeDevice.js.map