import { Platform, TurboModuleRegistry } from 'react-native';
let UNShareFileModule = null;
if (Platform.OS === 'android') {
  UNShareFileModule = TurboModuleRegistry.getEnforcing('UNShareFileModule');
} else {
  UNShareFileModule = {
    requestAccess: async () => {
      console.warn('Share file module is not available on iOS.');
      return Promise.resolve('Share file module is not available');
    }
  };
}
export default UNShareFileModule;
//# sourceMappingURL=RNShareFile.js.map