/* eslint-disable @typescript-eslint/no-explicit-any */

import { createSlice } from '@reduxjs/toolkit';

//currently left state suffixes to avoid the duplication of the event names

const initialState = {};
const SharedEventsSlice = createSlice({
  name: 'SharedEvents',
  initialState: initialState,
  reducers: {
    setEvent(state, action) {
      state.event = action.payload;
    }
  }
});
export const {
  setEvent
} = SharedEventsSlice.actions;
export const selectSharedEvents = state => state.sharedEvents;
export default SharedEventsSlice.reducer;
//# sourceMappingURL=SharedEventsSlice.js.map