import { configureStore } from '@reduxjs/toolkit';
import wallet from '../slices/pushProvisioningSlice';
import configuration from '../slices/ConfigurationSlice';
import sharedEvents from '../slices/SharedEventsSlice';
import bottomSheet from '../slices/BottomSheetSlice';
export const store = configureStore({
  reducer: {
    wallet,
    configuration,
    sharedEvents,
    bottomSheet
  }
});
//# sourceMappingURL=store.js.map