export let UNAccountType = /*#__PURE__*/function (UNAccountType) {
  UNAccountType["DepositAccount"] = "depositAccount";
  UNAccountType["BatchAccount"] = "batchAccount";
  UNAccountType["CreditAccount"] = "creditAccount";
  return UNAccountType;
}({});
var UNAccountStatus = /*#__PURE__*/function (UNAccountStatus) {
  UNAccountStatus["Open"] = "Open";
  UNAccountStatus["Closed"] = "Closed";
  UNAccountStatus["Frozen"] = "Frozen";
  return UNAccountStatus;
}(UNAccountStatus || {});
export let UNCloseReason = /*#__PURE__*/function (UNCloseReason) {
  UNCloseReason["Fraud"] = "Fraud";
  UNCloseReason["ByCustomer"] = "ByCustomer";
  return UNCloseReason;
}({});
export let UNFraudReason = /*#__PURE__*/function (UNFraudReason) {
  UNFraudReason["ACHActivity"] = "ACHActivity";
  UNFraudReason["CardActivity"] = "CardActivity";
  UNFraudReason["CheckActivity"] = "CheckActivity";
  UNFraudReason["ApplicationHistory"] = "ApplicationHistory";
  UNFraudReason["AccountActivity"] = "AccountActivity";
  UNFraudReason["ClientIdentified"] = "ClientIdentified";
  UNFraudReason["IdentityTheft"] = "IdentityTheft";
  UNFraudReason["LinkedToFraudulentCustomer"] = "LinkedToFraudulentCustomer";
  return UNFraudReason;
}({});
export let UNAccountMenuAction = /*#__PURE__*/function (UNAccountMenuAction) {
  UNAccountMenuAction["OpenAccountDetails"] = "OpenAccountDetails";
  UNAccountMenuAction["OpenAccountStatements"] = "OpenAccountStatements";
  UNAccountMenuAction["DownloadBankVerificationLetter"] = "DownloadBankVerificationLetter";
  return UNAccountMenuAction;
}({});
export let UNAccountMenuItem = /*#__PURE__*/function (UNAccountMenuItem) {
  UNAccountMenuItem["details"] = "details";
  UNAccountMenuItem["statements"] = "statements";
  UNAccountMenuItem["bankVerification"] = "bankVerification";
  return UNAccountMenuItem;
}({});
export let UNAccountStatusPosition = /*#__PURE__*/function (UNAccountStatusPosition) {
  UNAccountStatusPosition["Start"] = "start";
  UNAccountStatusPosition["End"] = "end";
  return UNAccountStatusPosition;
}({});
//# sourceMappingURL=account.types.js.map