export let UNPaymentType = /*#__PURE__*/function (UNPaymentType) {
  UNPaymentType["AchPayment"] = "achPayment";
  UNPaymentType["BookPayment"] = "bookPayment";
  UNPaymentType["WirePayment"] = "wirePayment";
  UNPaymentType["BillPayment"] = "billPayment";
  UNPaymentType["CardToCardPayment"] = "cardToCardPayment";
  return UNPaymentType;
}({});
export let UNPlaidAccountFilter = /*#__PURE__*/function (UNPlaidAccountFilter) {
  UNPlaidAccountFilter["checking"] = "checking";
  UNPlaidAccountFilter["savings"] = "savings";
  return UNPlaidAccountFilter;
}({});
export function parseUNAccountFilters(input) {
  if (!input) return [];
  return input.split(',').map(s => s.trim()).filter(s => s in UNPlaidAccountFilter);
}
export let UNCounterpartyVerificationMethod = /*#__PURE__*/function (UNCounterpartyVerificationMethod) {
  UNCounterpartyVerificationMethod["Plaid"] = "Plaid";
  return UNCounterpartyVerificationMethod;
}({});
export let UNCardNetwork = /*#__PURE__*/function (UNCardNetwork) {
  UNCardNetwork["Visa"] = "Visa";
  UNCardNetwork["Diners"] = "Diners";
  UNCardNetwork["Maestro"] = "Maestro";
  UNCardNetwork["Generic"] = "Generic";
  UNCardNetwork["Discover"] = "Discover";
  UNCardNetwork["MasterCard"] = "MasterCard";
  UNCardNetwork["AmericanExpress"] = "AmericanExpress";
  return UNCardNetwork;
}({});
//# sourceMappingURL=payments.types.js.map