/// <reference types="react" />
import type { UNComponentsOnLoadResponse, UNACHOnLoadData, UNACHPayment, UNPlaidAccountFilter } from '../../types/shared';
export interface UNACHDebitComponentProps {
    accountId?: string;
    theme?: string;
    language?: string;
    isAutoFocus?: boolean;
    fee?: number;
    sameDay?: boolean;
    showSameDaySelection?: boolean;
    onPaymentCreated?: (data: UNACHPayment) => void;
    onLoad?: (response: UNComponentsOnLoadResponse<UNACHOnLoadData>) => void;
    onInitialStageBackButtonClicked?: () => void;
    onFinalStageDoneButtonClicked?: () => void;
    plaidAccountFilters?: UNPlaidAccountFilter[];
    plaidLinkCustomizationName?: string;
    initialStageBackButton?: boolean;
    finalStageDoneButton?: boolean;
}
declare const _default: (props: UNACHDebitComponentProps) => JSX.Element;
export default _default;
//# sourceMappingURL=UNACHDebitComponent.d.ts.map