import React from 'react';
import type { UNComponentsOnLoadResponse, UNActivityOnLoadData, UNActivityComponentPaginationType } from '../../types/shared';
export interface UNActivityComponentProps {
    accountId?: string;
    queryFilter?: string;
    theme?: string;
    language?: string;
    hideFilterButton?: boolean;
    hideTitle?: boolean;
    hideBackToTop?: boolean;
    paginationType?: UNActivityComponentPaginationType;
    transactionsPerPage?: number;
    onLoad?: (response: UNComponentsOnLoadResponse<UNActivityOnLoadData>) => void;
}
export interface UNActivityRef {
    refresh: () => void;
}
declare const _default: React.ForwardRefExoticComponent<UNActivityComponentProps & React.RefAttributes<UNActivityRef>>;
export default _default;
//# sourceMappingURL=UNActivityComponent.d.ts.map