import type WebView from 'react-native-webview';
import type { RequestRenderingEvent } from '../../messages/webMessages/unitComponentsMessages';
import { BottomSheetNativeACHCreditComponentType, BottomSheetNativeACHDebitComponentType, BottomSheetNativeAddToWalletComponentType, BottomSheetNativeBookPaymentComponentType, BottomSheetNativeCheckDepositComponentType, BottomSheetNativeCreateCardComponentType, BottomSheetNativePlaceType, BottomSheetNativeWirePaymentComponentType, BottomSheetSlotData } from '../../types/internal/bottomSheet.types';
export declare const getBottomSheetScript: () => string;
export declare const renderingBottomSheetRequest: (currentWebView: WebView, renderingRequest: RequestRenderingEvent) => void;
export declare const resetHtml: (currentWebView: WebView) => void;
export declare const injectHtmlFullScreenHeight: (currentWebView: WebView | null, bottomSheetHeight: number) => void;
export declare const getNativeComponentDataFromEvent: (event: BottomSheetSlotData) => {
    component: BottomSheetNativeAddToWalletComponentType | BottomSheetNativeACHCreditComponentType | BottomSheetNativeACHDebitComponentType | BottomSheetNativeCheckDepositComponentType | BottomSheetNativeBookPaymentComponentType | BottomSheetNativeWirePaymentComponentType | BottomSheetNativeCreateCardComponentType;
    nativePlace: BottomSheetNativePlaceType.overFullScreen | BottomSheetNativePlaceType.modal;
} | null;
//# sourceMappingURL=UNBottomSheetComponent.utils.d.ts.map