/// <reference types="react" />
import type { UNCard, UNMultipleCardsComponentPaginationType, UNMultipleCardsOnLoadData, UNComponentsOnLoadResponse } from '../../types/shared';
export interface UNMultipleCardsComponentProps {
    paginationType?: UNMultipleCardsComponentPaginationType;
    cardsPerPage?: number;
    disableCardClick?: boolean;
    isRowItemClickable?: boolean;
    theme?: string;
    language?: string;
    queryFilter?: string;
    hideTitle?: boolean;
    hideBackToTop?: boolean;
    onLoad?: (response: UNComponentsOnLoadResponse<UNMultipleCardsOnLoadData>) => void;
    onCardClicked?: (card: UNCard) => void;
}
declare const _default: (props: UNMultipleCardsComponentProps) => JSX.Element;
export default _default;
//# sourceMappingURL=UNMultipleCardsComponent.d.ts.map