import { ReactNode } from 'react';
import { BottomSheetNativePlaceType } from '../../types/internal/bottomSheet.types';
export interface BottomSheetProps {
    isOpen: boolean;
    children: ReactNode;
    onOpen: () => void;
    onClose: () => void;
    height: number;
    animationDuration: number;
    expandToMaxHeightEnabled: boolean;
    handleWebViewScroll: () => void;
    shouldEnableBottomSheetScroll: boolean;
    nativePlace?: BottomSheetNativePlaceType;
    isComponentLoading?: boolean;
    sliderMaxHeight: number;
}
declare const BottomSheet: (props: BottomSheetProps) => JSX.Element;
export default BottomSheet;
//# sourceMappingURL=BottomSheet.d.ts.map