import type { NativeMessageType } from '../messages/nativeMessages';
import type { WebViewMessageType } from '../messages/webMessages';
export type BusEventKey = NativeMessageType | WebViewMessageType;
type EventListener = {
    busEventKey: BusEventKey;
    action: (data: any) => void;
};
export declare const useListenerToEvent: (listener: EventListener) => void;
export {};
//# sourceMappingURL=useListenerToEvent.d.ts.map