export interface UNMultiFactorVerification {
    type: string;
    attributes: {
        verificationToken: string;
        phoneLast4Digits?: string;
    };
}
export interface UNCustomerTokenVerification extends UNMultiFactorVerification {
    type: 'customerTokenVerification';
}
export type UNMultiFactorAuthenticationFinished = {
    token: string;
    expiresIn: number;
};
//# sourceMappingURL=multiFactorAuthentication.types.d.ts.map