export declare enum UNWalletCode {
    Apple = "ApplePayPushProvision",
    Google = "GooglePayPushProvision"
}
export declare enum UNWalletName {
    Apple = "APPLE",
    Google = "GOOGLE"
}
export interface UNWallet {
    name: string;
    code: string;
    status: UNCardAddToWalletStatus;
}
export declare enum UNCardAddToWalletStatus {
    pending = 0,
    readyToProvisioning = "ReadyToProvision",
    addedToWallet = "AlreadyProvisioned",
    iosProvisionedInCurrentDevice = "ProvisionedInCurrentDevice",
    iosProvisionedInPairedDevice = "ProvisionedInPairedDevice",
    androidNotInstalled = "NotInstalled",
    androidWalletSetupNotCompleted = "WalletSetupNotCompleted",
    androidWalletAppUpdateAvailable = "WalletAppUpdateAvailable"
}
//# sourceMappingURL=wallet.types.d.ts.map