import type { UNCheckDeposit } from '../../types/shared';

export enum CheckMessage {
  // check deposit
  CHECK_DEPOSIT_CREATED = 'unitCheckDepositCreated',
  CHECK_DEPOSIT_RESTART_REQUEST = 'unitCheckDepositRestartRequest'
}

export type CheckDepositCreatedEvent = UNCheckDeposit
export type CheckDepositRestartRequestEvent = UNCheckDeposit

export type CheckEvent =
  | CheckDepositCreatedEvent
  | CheckDepositRestartRequestEvent
