import {
  HostComponent,
  ViewProps,
} from 'react-native';
import { DirectEventHandler } from 'react-native/Libraries/Types/CodegenTypes';
import codegenNativeComponent from 'react-native/Libraries/Utilities/codegenNativeComponent';

export interface NativeProps extends ViewProps {
  onAddToWalletClicked: DirectEventHandler<null>;
}

export default codegenNativeComponent<NativeProps>(
  'UnitAddToWalletButtonNativeView',
) as HostComponent<NativeProps>;
