import { TurboModule, TurboModuleRegistry } from 'react-native';

interface Spec extends TurboModule {
  saveValue(key: string, value: string): void
  getValue(key: string): string
  cleanValue(key: string): void
}

export default TurboModuleRegistry.getEnforcing<Spec>('UNStoreModule');
