import { UNComponentsEnvironment } from '../../types/shared/env.types';

export const APIHeaders = {
  AUTHORIZATION: 'Authorization',
  CONTENT_TYPE: 'application/vnd.api+json',
};

export const UNIT_SECURE_URL = {
  [UNComponentsEnvironment.sandbox]: 'https://secure.api.s.unit.sh',
  [UNComponentsEnvironment.production]: 'https://secure.api.unit.co',
  [UNComponentsEnvironment.mock]: ''
};
