export type UNCreditAccountRepaymentInformation = {
  type: 'creditAccountRepaymentInformation'
  attributes: UNCreditAccountRepaymentInformationAttributes
}

export interface UNCreditAccountRepaymentInformationAttributes {
  initiatedRepayments: number // Cents
  remainingAmountDue: number // Cents
  remainingAmountOverdue: number // Cents
  statementPeriodStart: string // "2023-07-01",
  statementPeriodEnd: string // "2023-07-31",
  nextRepaymentDueDate: string // "2023-08-13"
}