"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getCreateCardParams = void 0;
const getCreateCardParams = props => {
  const cardTypesParam = props.cardTypes ? `card-types="${props.cardTypes.join()}"` : '';
  const physicalFeeParam = props.physicalCardFee ? `physical-card-fee="${props.physicalCardFee}"` : '';
  const virtualFeeParam = props.virtualCardFee ? `virtual-card-fee="${props.virtualCardFee}"` : '';
  return `
    account-id="${props.accountId}"
    ${cardTypesParam}
    ${physicalFeeParam}
    ${virtualFeeParam}
  `;
};
exports.getCreateCardParams = getCreateCardParams;
//# sourceMappingURL=UNCreateCardComponent.utils.js.map