"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _reactNative = require("react-native");
var _react = _interopRequireDefault(require("react"));
var _UNBottomSheetComponent = require("../../components/UNBottomSheetComponent/UNBottomSheetComponent.constants");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const UNKeyboardAvoidingView = ({
  children,
  style,
  keyboardVerticalOffset
}) => {
  return /*#__PURE__*/_react.default.createElement(_reactNative.KeyboardAvoidingView, {
    style: style ?? {
      height: '100%'
    },
    behavior: "padding",
    keyboardVerticalOffset: keyboardVerticalOffset ?? _UNBottomSheetComponent.statusBarHeight,
    enabled: _reactNative.Platform.OS === 'android'
  }, children);
};
var _default = exports.default = UNKeyboardAvoidingView;
//# sourceMappingURL=UNKeyboardAvoidingView.js.map