"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UNVPErrorType = void 0;
let UNVPErrorType = exports.UNVPErrorType = /*#__PURE__*/function (UNVPErrorType) {
  UNVPErrorType["EmptyAppId"] = "EmptyAppId";
  UNVPErrorType["DeviceAuthenticationFailed"] = "DeviceAuthenticationFailed";
  UNVPErrorType["DeviceRootDetection"] = "DeviceRootDetection";
  UNVPErrorType["HookDetection"] = "HookDetection";
  UNVPErrorType["PlayIntegrityCheckFailed"] = "PlayIntegrityCheckFailed";
  UNVPErrorType["EmptyEncryptedPayload"] = "EmptyEncryptedPayload";
  UNVPErrorType["NoWallets"] = "NoWallets";
  UNVPErrorType["InvalidCardId"] = "InvalidCardId";
  UNVPErrorType["InvalidCardLast4Digits"] = "InvalidCardLast4Digits";
  UNVPErrorType["ProvisioningNotAllowed"] = "ProvisioningNotAllowed";
  UNVPErrorType["CancelledByUser"] = "CancelledByUser";
  UNVPErrorType["AppleWalletProvisioningError"] = "AppleWalletProvisioningError";
  UNVPErrorType["UnableToCreateApplePaymentPassView"] = "UnableToCreateApplePaymentPassView";
  UNVPErrorType["ValidAppleCertificatesNotFound"] = "ValidAppleCertificatesNotFound";
  UNVPErrorType["GoogleWalletCreationFailed"] = "GoogleWalletCreationFailed";
  UNVPErrorType["UnknownErrorOccurred"] = "UnknownErrorOccurred";
  UNVPErrorType["WalletProvisioningInconclusive"] = "WalletProvisioningInconclusive";
  UNVPErrorType["WalletProvisioningError"] = "WalletProvisioningError";
  UNVPErrorType["VerificationNotAllowed"] = "VerificationNotAllowed";
  UNVPErrorType["PaymentMethodRemoved"] = "PaymentMethodRemoved";
  UNVPErrorType["SdkInternalError"] = "SdkInternalError";
  UNVPErrorType["NetworkFailure"] = "NetworkFailure";
  UNVPErrorType["SessionExpired"] = "SessionExpired";
  UNVPErrorType["InvalidInfo"] = "InvalidInfo";
  UNVPErrorType["PayloadDecryptionFailed"] = "PayloadDecryptionFailed";
  UNVPErrorType["ApiError"] = "ApiError";
  UNVPErrorType["InvalidNonce"] = "InvalidNonce";
  UNVPErrorType["SDKLockout"] = "SDKLockout";
  UNVPErrorType["NoBrowserFound"] = "NoBrowserFound";
  UNVPErrorType["TLCMFeatureNotSupported"] = "TLCMFeatureNotSupported";
  UNVPErrorType["TLCMUnsupportedWallet"] = "TLCMUnsupportedWallet";
  UNVPErrorType["TLCMDetailsNotFoundInPaySdk"] = "TLCMDetailsNotFoundInPaySdk";
  UNVPErrorType["TLCMTokenStatusExists"] = "TLCMTokenStatusExists";
  UNVPErrorType["TLCMInvalidOperationInput"] = "TLCMInvalidOperationInput";
  UNVPErrorType["TLCMInvalidRequest"] = "TLCMInvalidRequest";
  UNVPErrorType["TLCMUpdateStatusNotAllowed"] = "TLCMUpdateStatusNotAllowed";
  UNVPErrorType["TLCMTokenNotFound"] = "TLCMTokenNotFound";
  return UNVPErrorType;
}({});
//# sourceMappingURL=types.js.map