"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.withReduxStoreAndRefForwarding = exports.withReduxStore = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactRedux = require("react-redux");
var _store = require("../../store");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
const withReduxStore = Component => {
  const Wrapper = props => {
    return /*#__PURE__*/_react.default.createElement(_reactRedux.Provider, {
      store: _store.store
    }, /*#__PURE__*/_react.default.createElement(Component, props));
  };
  return Wrapper;
};
exports.withReduxStore = withReduxStore;
const withReduxStoreAndRefForwarding = Component => /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  return /*#__PURE__*/_react.default.createElement(_reactRedux.Provider, {
    store: _store.store
  }, /*#__PURE__*/_react.default.createElement(Component, _extends({
    ref: ref
  }, props)));
});
exports.withReduxStoreAndRefForwarding = withReduxStoreAndRefForwarding;
//# sourceMappingURL=helpers.js.map