"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useIsJailbrokeDevice = void 0;
var _react = require("react");
var _UNSecurityHelper = _interopRequireDefault(require("../nativeModulesHelpers/UNSecurityHelper"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const useIsJailbrokeDevice = () => {
  const [isJailbroke, setIsJailbroke] = (0, _react.useState)(false);
  (0, _react.useEffect)(() => {
    const isDeviceJailbroke = async () => {
      const isDeviceJailbroke = await _UNSecurityHelper.default.isDeviceJailbroke();
      setIsJailbroke(isDeviceJailbroke);
    };
    isDeviceJailbroke();
  }, []);
  return isJailbroke;
};
exports.useIsJailbrokeDevice = useIsJailbrokeDevice;
//# sourceMappingURL=useIsJailbrokeDevice.js.map