"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getAddToWalletWindowParams = exports.getAddToWalletParams = void 0;
var _wallet = require("../../../types/shared/wallet.types");
const getAddToWalletParams = props => {
  return `
  customer-token=${props.customerToken}
  card-id=${props.cardId}
  action=AddToWallet
  `;
};
exports.getAddToWalletParams = getAddToWalletParams;
const getAddToWalletWindowParams = wallet => {
  return `window.UnitMobileSDKConfig["isCardInWallet"] = ${wallet?.status === _wallet.UNCardAddToWalletStatus.addedToWallet}`;
};
exports.getAddToWalletWindowParams = getAddToWalletWindowParams;
//# sourceMappingURL=UNAddToWalletComponent.utils.js.map