"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _reactNative = require("react-native");
let UNPermissionsModule = null;
if (_reactNative.Platform.OS === 'ios') {
  UNPermissionsModule = _reactNative.TurboModuleRegistry.getEnforcing('UNPermissionsModule');
} else {
  UNPermissionsModule = {
    camera: async () => {
      console.warn('Permissions module is not available on Android.');
      return Promise.resolve('Permissions module is not available');
    }
  };
}
var _default = exports.default = UNPermissionsModule;
//# sourceMappingURL=UNPermissionsHelper.js.map