"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.setSignedNonce = exports.selectWallet = exports.default = void 0;
var _toolkit = require("@reduxjs/toolkit");
const initialState = {
  signedNonce: null
};
const pushProvisioningSlice = (0, _toolkit.createSlice)({
  name: 'wallet',
  initialState: initialState,
  reducers: {
    setSignedNonce(state, action) {
      state.signedNonce = action.payload;
    }
  }
});
const {
  setSignedNonce
} = pushProvisioningSlice.actions;
exports.setSignedNonce = setSignedNonce;
const selectWallet = state => state.wallet;
exports.selectWallet = selectWallet;
var _default = exports.default = pushProvisioningSlice.reducer;
//# sourceMappingURL=pushProvisioningSlice.js.map