"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.store = void 0;
var _toolkit = require("@reduxjs/toolkit");
var _pushProvisioningSlice = _interopRequireDefault(require("../slices/pushProvisioningSlice"));
var _ConfigurationSlice = _interopRequireDefault(require("../slices/ConfigurationSlice"));
var _SharedEventsSlice = _interopRequireDefault(require("../slices/SharedEventsSlice"));
var _BottomSheetSlice = _interopRequireDefault(require("../slices/BottomSheetSlice"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const store = exports.store = (0, _toolkit.configureStore)({
  reducer: {
    wallet: _pushProvisioningSlice.default,
    configuration: _ConfigurationSlice.default,
    sharedEvents: _SharedEventsSlice.default,
    bottomSheet: _BottomSheetSlice.default
  }
});
//# sourceMappingURL=store.js.map