"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.WebComponentType = exports.PresentationMode = void 0;
let WebComponentType = exports.WebComponentType = /*#__PURE__*/function (WebComponentType) {
  WebComponentType["card"] = "unit-elements-card";
  WebComponentType["multipleCards"] = "unit-elements-multiple-cards";
  WebComponentType["bookPayment"] = "unit-elements-book-payment";
  WebComponentType["activity"] = "unit-elements-activity";
  WebComponentType["slot"] = "unit-elements-sdk-slot";
  WebComponentType["account"] = "unit-elements-account";
  WebComponentType["checkDeposit"] = "unit-elements-check-deposit";
  WebComponentType["achDebitPayment"] = "unit-elements-ach-debit-payment";
  WebComponentType["achCreditPayment"] = "unit-elements-ach-credit-payment";
  WebComponentType["cardAction"] = "unit-elements-card-action";
  WebComponentType["programDetails"] = "unit-elements-program-details";
  WebComponentType["nextRepayment"] = "unit-elements-next-repayment";
  WebComponentType["payeeManagement"] = "unit-elements-payee-management";
  WebComponentType["wirePayment"] = "unit-elements-wire-payment";
  WebComponentType["whiteLabelApp"] = "unit-elements-white-label-app";
  WebComponentType["multiFactorAuthentication"] = "unit-elements-multi-factor-authentication";
  WebComponentType["createCard"] = "unit-elements-create-card";
  WebComponentType["cardMenu"] = "unit-elements-card-menu";
  return WebComponentType;
}({});
let PresentationMode = exports.PresentationMode = /*#__PURE__*/function (PresentationMode) {
  /*
    CoverInjectedHeight - give id (<webViewId> param) to enable style injection to the root. Then cover the injected height.
     Inherit -  inherit the parent size by style of 100 view height
     Default - return the unit component script
  */
  PresentationMode["CoverInjectedHeight"] = "coverInjectedHeight";
  PresentationMode["Inherit"] = "inherit";
  PresentationMode["Default"] = "deafult";
  return PresentationMode;
}({});
//# sourceMappingURL=webComponent.types.js.map