"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UNFraudReason = exports.UNCloseReason = exports.UNAccountType = exports.UNAccountStatusPosition = exports.UNAccountMenuItem = exports.UNAccountMenuAction = void 0;
let UNAccountType = exports.UNAccountType = /*#__PURE__*/function (UNAccountType) {
  UNAccountType["DepositAccount"] = "depositAccount";
  UNAccountType["BatchAccount"] = "batchAccount";
  UNAccountType["CreditAccount"] = "creditAccount";
  return UNAccountType;
}({});
var UNAccountStatus = /*#__PURE__*/function (UNAccountStatus) {
  UNAccountStatus["Open"] = "Open";
  UNAccountStatus["Closed"] = "Closed";
  UNAccountStatus["Frozen"] = "Frozen";
  return UNAccountStatus;
}(UNAccountStatus || {});
let UNCloseReason = exports.UNCloseReason = /*#__PURE__*/function (UNCloseReason) {
  UNCloseReason["Fraud"] = "Fraud";
  UNCloseReason["ByCustomer"] = "ByCustomer";
  return UNCloseReason;
}({});
let UNFraudReason = exports.UNFraudReason = /*#__PURE__*/function (UNFraudReason) {
  UNFraudReason["ACHActivity"] = "ACHActivity";
  UNFraudReason["CardActivity"] = "CardActivity";
  UNFraudReason["CheckActivity"] = "CheckActivity";
  UNFraudReason["ApplicationHistory"] = "ApplicationHistory";
  UNFraudReason["AccountActivity"] = "AccountActivity";
  UNFraudReason["ClientIdentified"] = "ClientIdentified";
  UNFraudReason["IdentityTheft"] = "IdentityTheft";
  UNFraudReason["LinkedToFraudulentCustomer"] = "LinkedToFraudulentCustomer";
  return UNFraudReason;
}({});
let UNAccountMenuAction = exports.UNAccountMenuAction = /*#__PURE__*/function (UNAccountMenuAction) {
  UNAccountMenuAction["OpenAccountDetails"] = "OpenAccountDetails";
  UNAccountMenuAction["OpenAccountStatements"] = "OpenAccountStatements";
  UNAccountMenuAction["DownloadBankVerificationLetter"] = "DownloadBankVerificationLetter";
  return UNAccountMenuAction;
}({});
let UNAccountMenuItem = exports.UNAccountMenuItem = /*#__PURE__*/function (UNAccountMenuItem) {
  UNAccountMenuItem["details"] = "details";
  UNAccountMenuItem["statements"] = "statements";
  UNAccountMenuItem["bankVerification"] = "bankVerification";
  return UNAccountMenuItem;
}({});
let UNAccountStatusPosition = exports.UNAccountStatusPosition = /*#__PURE__*/function (UNAccountStatusPosition) {
  UNAccountStatusPosition["Start"] = "start";
  UNAccountStatusPosition["End"] = "end";
  return UNAccountStatusPosition;
}({});
//# sourceMappingURL=account.types.js.map