"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UNTransactionTypes = exports.UNTransactionType = void 0;
let UNTransactionTypes = exports.UNTransactionTypes = /*#__PURE__*/function (UNTransactionTypes) {
  UNTransactionTypes["ATM"] = "atmTransaction";
  UNTransactionTypes["Adjustment"] = "adjustmentTransaction";
  UNTransactionTypes["BillPay"] = "billPayTransaction";
  UNTransactionTypes["Book"] = "bookTransaction";
  UNTransactionTypes["Card"] = "cardTransaction";
  UNTransactionTypes["CardReversal"] = "cardReversalTransaction";
  UNTransactionTypes["Chargeback"] = "chargebackTransaction";
  UNTransactionTypes["CheckDeposit"] = "checkDepositTransaction";
  UNTransactionTypes["DishonoredACH"] = "dishonoredAchTransaction";
  UNTransactionTypes["Dispute"] = "disputeTransaction";
  UNTransactionTypes["DisputeSettlement"] = "disputeSettlementTransaction";
  UNTransactionTypes["Fee"] = "feeTransaction";
  UNTransactionTypes["FeeReversal"] = "feeReversalTransaction";
  UNTransactionTypes["InterchangeShare"] = "interchangeShareTransaction";
  UNTransactionTypes["Interest"] = "interestTransaction";
  UNTransactionTypes["InterestShare"] = "interestShareTransaction";
  UNTransactionTypes["NegativeBalanceCoverage"] = "negativeBalanceCoverageTransaction";
  UNTransactionTypes["OriginatedACH"] = "originatedAchTransaction";
  UNTransactionTypes["PaymentAdvance"] = "paymentAdvanceTransaction";
  UNTransactionTypes["PaymentCanceled"] = "paymentCanceledTransaction";
  UNTransactionTypes["Purchase"] = "purchaseTransaction";
  UNTransactionTypes["ReceivedACH"] = "receivedAchTransaction";
  UNTransactionTypes["Release"] = "releaseTransaction";
  UNTransactionTypes["RepaidPaymentAdvance"] = "repaidPaymentAdvanceTransaction";
  UNTransactionTypes["ReturnedACH"] = "returnedAchTransaction";
  UNTransactionTypes["ReturnedCheckDeposit"] = "returnedCheckDepositTransaction";
  UNTransactionTypes["ReturnedReceivedACH"] = "returnedReceivedAchTransaction";
  UNTransactionTypes["Reward"] = "rewardTransaction";
  UNTransactionTypes["Settlement"] = "settlementTransaction";
  UNTransactionTypes["SponsoredInterest"] = "sponsoredInterestTransaction";
  UNTransactionTypes["Wire"] = "wireTransaction";
  UNTransactionTypes["AccountLowBalanceClosure"] = "accountLowBalanceClosureTransaction";
  UNTransactionTypes["CashDeposit"] = "cashDepositTransaction";
  UNTransactionTypes["BankRepayment"] = "bankRepaymentTransaction";
  UNTransactionTypes["CustomerRepayment"] = "CustomerRepaymentTransaction";
  UNTransactionTypes["CustomerRepaymentReturned"] = "CustomerRepaymentReturnedTransaction";
  return UNTransactionTypes;
}({});
let UNTransactionType = exports.UNTransactionType = /*#__PURE__*/function (UNTransactionType) {
  UNTransactionType["ATM"] = "atmTransaction";
  UNTransactionType["Adjustment"] = "adjustmentTransaction";
  UNTransactionType["BillPay"] = "billPayTransaction";
  UNTransactionType["Book"] = "bookTransaction";
  UNTransactionType["Card"] = "cardTransaction";
  UNTransactionType["CardReversal"] = "cardReverTransactionTypessalTransaction";
  UNTransactionType["Chargeback"] = "chargebackTransaction";
  UNTransactionType["CheckDeposit"] = "checkDepositTransaction";
  UNTransactionType["DishonoredACH"] = "dishonoredAchTransaction";
  UNTransactionType["Dispute"] = "disputeTransaction";
  UNTransactionType["DisputeSettlement"] = "disputeSettlementTransaction";
  UNTransactionType["Fee"] = "feeTransaction";
  UNTransactionType["InterchangeShare"] = "interchangeShareTransaction";
  UNTransactionType["Interest"] = "interestTransaction";
  UNTransactionType["InterestShare"] = "interestShareTransaction";
  UNTransactionType["NegativeBalanceCoverage"] = "negativeBalanceCoverageTransaction";
  UNTransactionType["OriginatedACH"] = "originatedAchTransaction";
  UNTransactionType["PaymentAdvance"] = "paymentAdvanceTransaction";
  UNTransactionType["PaymentCanceled"] = "paymentCanceledTransaction";
  UNTransactionType["Purchase"] = "purchaseTransaction";
  UNTransactionType["ReceivedACH"] = "receivedAchTransaction";
  UNTransactionType["Release"] = "releaseTransaction";
  UNTransactionType["RepaidPaymentAdvance"] = "repaidPaymentAdvanceTransaction";
  UNTransactionType["ReturnedACH"] = "returnedAchTransaction";
  UNTransactionType["ReturnedCheckDeposit"] = "returnedCheckDepositTransaction";
  UNTransactionType["ReturnedReceivedACH"] = "returnedReceivedAchTransaction";
  UNTransactionType["Reward"] = "rewardTransaction";
  UNTransactionType["Settlement"] = "settlementTransaction";
  UNTransactionType["SponsoredInterest"] = "sponsoredInterestTransaction";
  UNTransactionType["Wire"] = "wireTransaction";
  UNTransactionType["AccountLowBalanceClosure"] = "accountLowBalanceClosureTransaction";
  UNTransactionType["CashDeposit"] = "cashDepositTransaction";
  UNTransactionType["BankRepayment"] = "bankRepaymentTransaction";
  UNTransactionType["CustomerRepayment"] = "CustomerRepaymentTransaction";
  UNTransactionType["CustomerRepaymentReturned"] = "CustomerRepaymentReturnedTransaction";
  return UNTransactionType;
}({});
//# sourceMappingURL=transactions.types.js.map