"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UNComponentsSDKConstants = void 0;
var _shared = require("../types/shared");
var _securitySettings = require("../types/shared/securitySettings");
const WEB_SDK_RECOMMENDED_STRATEGY = {
  type: _shared.UNVersioningStrategyType.upToNextMinor,
  major: 2,
  minor: 4
};
const DEFAULT_SECURITY_SETTINGS = {
  snapshotProtectionStrategy: _securitySettings.UNComponentsSnapshotProtectionStrategy.FullProtection
};
const UNComponentsSDKConstants = exports.UNComponentsSDKConstants = {
  webSDKRecommendedStrategy: WEB_SDK_RECOMMENDED_STRATEGY,
  securitySettings: DEFAULT_SECURITY_SETTINGS
};
//# sourceMappingURL=UnitComponentsSdk.constants.js.map