import { LISTENERS } from '../../scripts/html/bodyScript';
export const getWirePaymentParams = props => {
  const accountIdParam = props.accountId ? `account-id="${props.accountId}"` : '';
  const feeParam = props.fee ? `fee="${props.fee}"` : '';
  return `
    ${accountIdParam}
    ${feeParam}
    is-auto-focus="${props.isAutoFocus || false}"
    initial-stage-back-button="${props.initialStageBackButton ?? false}"
    final-stage-done-button="${props.finalStageDoneButton ?? false}"
  `;
};
export const getWirePaymentScript = () => {
  return `
    ${LISTENERS.unitPaymentCreated}
    ${LISTENERS.unitPaymentInitialStageBackButtonClicked}
    ${LISTENERS.unitPaymentFinalStageDoneButtonClicked}
  `;
};
//# sourceMappingURL=UNWirePaymentComponent.utils.js.map