import { Platform, TurboModuleRegistry } from 'react-native';
let UNPermissionsModule = null;
if (Platform.OS === 'ios') {
  UNPermissionsModule = TurboModuleRegistry.getEnforcing('UNPermissionsModule');
} else {
  UNPermissionsModule = {
    camera: async () => {
      console.warn('Permissions module is not available on Android.');
      return Promise.resolve('Permissions module is not available');
    }
  };
}
export default UNPermissionsModule;
//# sourceMappingURL=UNPermissionsHelper.js.map