import { createSlice } from '@reduxjs/toolkit';
const initialState = {
  signedNonce: null
};
const pushProvisioningSlice = createSlice({
  name: 'wallet',
  initialState: initialState,
  reducers: {
    setSignedNonce(state, action) {
      state.signedNonce = action.payload;
    }
  }
});
export const {
  setSignedNonce
} = pushProvisioningSlice.actions;
export const selectWallet = state => state.wallet;
export default pushProvisioningSlice.reducer;
//# sourceMappingURL=pushProvisioningSlice.js.map