import { UNVersioningStrategyType } from '../types/shared';
import { UNComponentsSnapshotProtectionStrategy } from '../types/shared/securitySettings';
const WEB_SDK_RECOMMENDED_STRATEGY = {
  type: UNVersioningStrategyType.upToNextMinor,
  major: 2,
  minor: 4
};
const DEFAULT_SECURITY_SETTINGS = {
  snapshotProtectionStrategy: UNComponentsSnapshotProtectionStrategy.FullProtection
};
export const UNComponentsSDKConstants = {
  webSDKRecommendedStrategy: WEB_SDK_RECOMMENDED_STRATEGY,
  securitySettings: DEFAULT_SECURITY_SETTINGS
};
//# sourceMappingURL=UnitComponentsSdk.constants.js.map