import { UNAccountAction, UNAccountComponentProps } from './UNAccountComponent';
import { RequestRefreshEvent, RequestRenderingEvent } from '../../messages/webMessages/unitComponentsMessages';
import type WebView from 'react-native-webview';
import { type UNAccountMenuAction } from '../../types/shared';
export declare const getAccountParams: (props: UNAccountComponentProps) => string;
export declare const getAccountScript: () => string;
export declare const injectOpenActionsMenuScript: (currentWeb: WebView | null) => void;
export declare const injectRequestAccountActionScript: (currentWeb: WebView | null, action: UNAccountMenuAction) => void;
export declare const injectRefreshEventIfNeeded: (currentWeb: WebView | null, requestRefreshEvent: RequestRefreshEvent | null) => void;
export declare const getAccountActionType: (requestRendering: RequestRenderingEvent) => UNAccountAction;
//# sourceMappingURL=UNAccountComponent.utils.d.ts.map