/// <reference types="react" />
import type { UNComponentsOnLoadResponse, UNAccount, UNBookPayment } from '../../types/shared';
export interface UNBookPaymentComponentProps {
    accountId?: string;
    theme?: string;
    language?: string;
    isAutoFocus?: boolean;
    isSameCustomer?: boolean;
    counterPartyAccountId?: string;
    counterPartyName?: string;
    initialStageBackButton?: boolean;
    finalStageDoneButton?: boolean;
    onPaymentCreated?: (data: UNBookPayment) => void;
    onLoad?: (response: UNComponentsOnLoadResponse<[UNAccount]>) => void;
    onInitialStageBackButtonClicked?: () => void;
    onFinalStageDoneButtonClicked?: () => void;
}
declare const _default: (props: UNBookPaymentComponentProps) => JSX.Element;
export default _default;
//# sourceMappingURL=UNBookPaymentComponent.d.ts.map