import type WebView from 'react-native-webview';
import type { UNCardComponentProps } from './UNCardComponent';
import type { RequestRefreshEvent } from '../../messages/webMessages/unitComponentsMessages';
import type { UNCardMenuAction } from '../../types/shared';
export declare const getCardParams: (props: UNCardComponentProps) => string;
export declare const getCardScript: () => string;
export declare const injectOpenActionsMenuScript: (currentWeb: WebView | null) => void;
export declare const injectRequestCardActionScript: (currentWeb: WebView | null, action: UNCardMenuAction) => void;
export declare const injectRequestHideSensitiveDataScript: (currentWeb: WebView | null) => void;
export declare const injectRequestShowSensitiveDataScript: (currentWeb: WebView | null) => void;
export declare const injectRefreshEventIfNeeded: (currentWeb: WebView | null, requestRefreshEvent: RequestRefreshEvent | null, cardId: string) => void;
//# sourceMappingURL=UNCardComponent.utils.d.ts.map