/// <reference types="react" />
import type { UNCheckDeposit, UNAccount, UNComponentsOnLoadResponse } from '../../types/shared';
export interface UNCheckDepositComponentProps {
    accountId: string;
    fee?: number;
    theme?: string;
    language?: string;
    initialStageBackButton?: boolean;
    finalStageDoneButton?: boolean;
    onLoad?: (response: UNComponentsOnLoadResponse<UNAccount>) => void;
    onDepositCreated?: (checkData: UNCheckDeposit) => void;
    onRestartRequest?: (checkData: UNCheckDeposit) => void;
    onInitialStageBackButtonClicked?: () => void;
    onFinalStageDoneButtonClicked?: () => void;
}
declare const _default: (props: UNCheckDepositComponentProps) => JSX.Element;
export default _default;
//# sourceMappingURL=UNCheckDepositComponent.d.ts.map