/// <reference types="react" />
import { UNConnectedAccount, UNCounterparty, UNComponentsOnLoadResponse, UNPayeeManagementComponentPaginationType, UNPayeeManagementMenuItem, UNPlaidAccountFilter } from '../../types/shared';
export interface UNPayeeManagementComponentProps {
    menuItems?: UNPayeeManagementMenuItem[];
    queryFilter?: string;
    paginationType?: UNPayeeManagementComponentPaginationType;
    counterPartiesPerPage?: number;
    theme?: string;
    language?: string;
    hideTitle?: boolean;
    hideCounterpartyActionsButton?: boolean;
    menuPlaceholder?: string;
    flowPlaceholder?: string;
    payeeCreationPlaceholder?: string;
    microDepositConnectionPlaceholder?: string;
    plaidAccountFilters?: UNPlaidAccountFilter[];
    plaidLinkCustomizationName?: string;
    onLoad?: (response: UNComponentsOnLoadResponse<[UNCounterparty]>) => void;
    onCounterpartyCreated?: (counterparty: UNCounterparty) => void;
    onCounterpartyDeleted?: (counterparty: UNCounterparty) => void;
    onConnectedAccountCreated?: (connectedAccount: UNConnectedAccount) => void;
    onMicroDepositConnectionCreated?: (onnectedAccount: UNCounterparty) => void;
    onMicroDepositConnectionRejected?: (connectedAccount: UNConnectedAccount) => void;
}
declare const _default: (props: UNPayeeManagementComponentProps) => JSX.Element;
export default _default;
//# sourceMappingURL=UNPayeeManagementComponent.d.ts.map