import { RequestRefreshEvent } from '../../messages/webMessages/unitComponentsMessages';
import type WebView from 'react-native-webview';
import type { UNAccountMenuAction } from '../../types/shared';
import { UNPayeeManagementComponentProps } from './UNPayeeManagementComponent';
import { LinkError, LinkSuccess } from 'react-native-plaid-link-sdk';
import { OpenPlaidEvent } from '../../messages/webMessages/plaidMessages';
export declare const getPayeeParams: (props: UNPayeeManagementComponentProps) => string;
export declare const getPayeeManagementScript: () => string;
export declare const injectOpenActionsMenuScript: (currentWeb: WebView | null) => void;
export declare const injectRequestAccountActionScript: (currentWeb: WebView | null, action: UNAccountMenuAction) => void;
export declare const injectRefreshEventIfNeeded: (currentWeb: WebView | null, requestRefreshEvent: RequestRefreshEvent | null) => void;
export declare const injectUnitOpenPlaid: (currentWeb: WebView | null, openPlaidData: OpenPlaidEvent) => void;
export declare const injectUnitPlaidResponse: (currentWeb: WebView | null, success: LinkSuccess) => void;
export declare const injectUnitPlaidExit: (currentWeb: WebView | null, plaidLinkError: LinkError | null | undefined) => void;
//# sourceMappingURL=UNPayeeManagementComponent.utils.d.ts.map