/// <reference types="react" />
import { UNAccount, UNComponentsOnLoadResponse, UNWirePayment } from '../../types/shared';
export interface UNWirePaymentComponentProps {
    accountId?: string;
    fee?: number;
    theme?: string;
    language?: string;
    isAutoFocus?: boolean;
    initialStageBackButton?: boolean;
    finalStageDoneButton?: boolean;
    onPaymentCreated?: (data: UNWirePayment) => void;
    onLoad?: (response: UNComponentsOnLoadResponse<[UNAccount]>) => void;
    onInitialStageBackButtonClicked?: () => void;
    onFinalStageDoneButtonClicked?: () => void;
}
declare const _default: (props: UNWirePaymentComponentProps) => JSX.Element;
export default _default;
//# sourceMappingURL=UNWirePaymentComponent.d.ts.map