export declare const getStylesObject: (fadeAnim: any) => {
    outsideContainer: {
        position: "absolute";
        top: number;
        bottom: number;
        right: number;
        left: number;
    };
    animation: {
        backgroundColor: string;
        flex: number;
        opacity: any;
    };
    container: {
        position: "relative";
        flex: number;
        shadowColor: string;
        shadowOffset: {
            width: number;
            height: number;
        };
        shadowOpacity: number;
        shadowRadius: number;
        elevation: number;
        borderTopLeftRadius: number;
        borderTopRightRadius: number;
        backgroundColor: string;
        overflow: "hidden";
    };
    lineContainer: {
        borderTopLeftRadius: number;
        borderTopRightRadius: number;
        alignItems: "center";
    };
    line: {
        width: number;
        height: number;
        borderRadius: number;
        marginTop: number;
        backgroundColor: string;
    };
    outerContent: {
        flex: number;
    };
    innerContent: {
        flex: number;
    };
    closeButton: {
        position: "absolute";
        display: "flex";
        alignItems: "center";
        justifyContent: "center";
        width: number;
        height: number;
        backgroundColor: string;
        borderRadius: number;
        padding: number;
        top: number;
        right: number;
        zIndex: number;
    };
};
//# sourceMappingURL=BottomSheet.styles.d.ts.map