import type { UNCard } from '../../types/shared';
export declare enum CardMessage {
    CARD_ACTIVATED = "unitCardActivated",
    CARD_STATUS_CHANGED = "unitCardStatusChanged",
    CARD_CREATED = "unitCardCreated"
}
export interface CardStatusChangedEvent {
    card: UNCard;
}
export interface CardActivatedEvent {
    card: UNCard;
}
export type CardCreatedEvent = UNCard;
export type CardEvent = CardStatusChangedEvent | CardActivatedEvent | CardCreatedEvent;
//# sourceMappingURL=cardMessage.d.ts.map