export declare enum PlaidMessage {
    UNIT_PLAID_TOKEN_CREATED = "unitPlaidLinkTokenCreated",
    UNIT_OPEN_PLAID = "unitOpenPlaid",
    UNIT_PLAID_RESPONSE = "unitPlaidResponse",
    UNIT_PLAID_EXIT = "unitPlaidExit"
}
export interface PlaidTokenCreatedEvent {
    linkToken: PlaidLinkTokenData;
}
export interface OpenPlaidEvent {
    plaidLinkToken: PlaidLinkTokenData;
    connectedAccountId?: string;
}
export interface PlaidLinkTokenData {
    type: string;
    attributes: PlaidLinkTokenAttributes;
}
interface PlaidLinkTokenAttributes {
    linkToken: string;
    expiration: string;
}
export type PlaidEvent = PlaidTokenCreatedEvent | OpenPlaidEvent;
export {};
//# sourceMappingURL=plaidMessages.d.ts.map