export declare const POST_MESSAGE_TO_SDK = "\n  const postMessageToSDK = (message) => {\n    if ('ReactNativeWebView' in window) {\n      const messageString = JSON.stringify(message)\n      window['ReactNativeWebView'].postMessage(messageString)\n    }\n  }\n";
export declare const POST_PAGE_HEIGHT: string;
export declare const LISTENERS: {
    isPageLoaded: string;
    requestRendering: string;
    requestRefresh: string;
    onLoad: string;
    requestCloseFlow: string;
    requestOpenLink: string;
    unitRequestDownload: string;
    cardActivated: string;
    cardStatusChange: string;
    cardCreated: string;
    unitRequestExternalSdk: string;
    unitRequestLeftToSpendDetails: string;
    unitPaymentCreated: string;
    unitPaymentInitialStageBackButtonClicked: string;
    unitPaymentFinalStageDoneButtonClicked: string;
    unitPlaidTokenCreated: string;
    unitAccountChanged: string;
    unitActivityFiltersChanged: string;
    unitMultipleCardsFiltersChanged: string;
    unitMultiFactorAuthFinished: string;
    unitWhiteLabelAppOnLoad: string;
    unitUnauthorizedToken: string;
    unitConnectedAccountCreated: string;
    unitCounterpartyCreated: string;
    unitCounterpartyDeleted: string;
    unitMicroDepositConnectionCreated: string;
    unitMicroDepositConnectionRejected: string;
    unitOpenPlaid: string;
};
export declare const DISPATCH_RENDERING_EVENT: string;
export declare const DISPATCH_EVENT_TO_CONTINUE: string;
export declare const DISPATCH_CARD_STATUS_CHANGED: string;
export declare const DISPATCH_REQUEST_REFRESH: string;
export declare const SET_ITEM_IN_WINDOW_UNIT_STORE = "\n    const setItemInWindowUnitStore = (key, value) => {\n      window.UnitStore[key] = value;\n    }\n";
export declare const DISPATCH_ACTIVITY_FILTER_CHANGED_EVENT: string;
export declare const DISPATCH_MULTIPLE_CARDS_FILTER_CHANGED_EVENT: string;
export declare const DISPATCH_CARD_CREATED_EVENT: string;
export declare const DISPATCH_PLAID_RESPONSE: string;
export declare const DISPATCH_PLAID_EXIT: string;
export declare const DISPATCH_OPEN_PLAID: string;
export declare const DISPATCH_OPEN_ACTIONS_MENU = "\n    const dispatchOpenActionsMenu = (componentName) => {\n      document.querySelector(componentName).dispatchEvent(new CustomEvent(\"unitRequestOpenActionsMenu\"))\n    }\n";
export declare const DISPATCH_REQUEST_CARD_ACTION = "\n    const dispatchRequestCardAction = (action) => {\n      document.querySelector(\"unit-elements-card\").dispatchEvent(new CustomEvent(\"unitRequestCardAction\", {detail: {action: action}}))\n    }\n";
export declare const DISPATCH_REQUEST_HIDE_SENSITIVE_DATA = "\n    const dispatchRequestHideSensitiveData = (componentName) => {\n       document.querySelector(componentName).dispatchEvent(new CustomEvent(\"unitRequestHideSensitiveData\"))\n    }\n";
export declare const DISPATCH_REQUEST_SHOW_SENSITIVE_DATA = "\n    const dispatchRequestShowSensitiveData = (componentName) => {\n        document.querySelector(componentName).dispatchEvent(new CustomEvent(\"unitRequestShowSensitiveData\"))\n    }\n";
export declare const DISPATCH_REQUEST_ACCOUNT_ACTION = "\n    const dispatchRequestAccountAction = (action) => {\n      document.querySelector(\"unit-elements-account\").dispatchEvent(new CustomEvent(\"unitRequestAccountAction\", {detail: {action: action}}))\n    }\n";
//# sourceMappingURL=bodyScript.d.ts.map