import type { RootState } from '../store';
import { BottomSheetNativePlaceType, ScrollState } from '../types/internal/bottomSheet.types';
export interface BottomSheetState {
    isBottomSheetActive: boolean;
    isComponentLoading?: boolean;
    shouldShowBottomSheet?: boolean;
    nativePlace?: BottomSheetNativePlaceType;
    componentHeight?: number;
    shouldEnableBottomSheetScroll: boolean;
    scrollState?: ScrollState;
}
export declare const setIsBottomSheetActive: import("@reduxjs/toolkit").ActionCreatorWithPayload<boolean, "BottomSheet/setIsBottomSheetActive">, setIsComponentLoading: import("@reduxjs/toolkit").ActionCreatorWithPayload<boolean, "BottomSheet/setIsComponentLoading">, setShouldShowBottomSheet: import("@reduxjs/toolkit").ActionCreatorWithPayload<boolean, "BottomSheet/setShouldShowBottomSheet">, setNativePlace: import("@reduxjs/toolkit").ActionCreatorWithPayload<BottomSheetNativePlaceType, "BottomSheet/setNativePlace">, setComponentHeight: import("@reduxjs/toolkit").ActionCreatorWithPayload<number, "BottomSheet/setComponentHeight">, setShouldEnableBottomSheetScroll: import("@reduxjs/toolkit").ActionCreatorWithPayload<boolean, "BottomSheet/setShouldEnableBottomSheetScroll">, setScrollState: import("@reduxjs/toolkit").ActionCreatorWithPayload<ScrollState, "BottomSheet/setScrollState">, resetBottomSheetSlice: import("@reduxjs/toolkit").ActionCreatorWithoutPayload<"BottomSheet/resetBottomSheetSlice">;
export declare const selectConfiguration: (state: RootState) => BottomSheetState;
declare const _default: import("redux").Reducer<BottomSheetState, import("redux").AnyAction>;
export default _default;
//# sourceMappingURL=BottomSheetSlice.d.ts.map