import type { RootState } from '../store';
export interface ConfigurationState {
    unitScript?: string;
    theme?: string;
    language?: string;
    customerToken?: string;
}
export declare const setUnitScript: import("@reduxjs/toolkit").ActionCreatorWithOptionalPayload<string | undefined, "Configuration/setUnitScript">, setLanguage: import("@reduxjs/toolkit").ActionCreatorWithOptionalPayload<string | undefined, "Configuration/setLanguage">, setTheme: import("@reduxjs/toolkit").ActionCreatorWithOptionalPayload<string | undefined, "Configuration/setTheme">, setCustomerToken: import("@reduxjs/toolkit").ActionCreatorWithOptionalPayload<string | undefined, "Configuration/setCustomerToken">;
export declare const selectConfiguration: (state: RootState) => ConfigurationState;
declare const _default: import("redux").Reducer<ConfigurationState, import("redux").AnyAction>;
export default _default;
//# sourceMappingURL=ConfigurationSlice.d.ts.map