import type { RESPONSE_KEYS } from '../../messages/webMessages/onLoadMessage';
import type { UNAuthorization } from './authorization.types';
import type { UNTransaction } from './transaction/transactions.types';
export declare enum UNActivityComponentPaginationType {
    infiniteScroll = "infiniteScroll",
    pagination = "pagination"
}
export type UNActivityOnLoadData = {
    [RESPONSE_KEYS.authorizations]: [UNAuthorization];
    [RESPONSE_KEYS.transactions]: [UNTransaction];
};
export declare enum UNActivityType {
    Transaction = "transaction",
    Authorization = "authorization",
    CheckDeposit = "checkDeposit",
    AchPayment = "achPayment"
}
//# sourceMappingURL=activity.types.d.ts.map