export type UNFonts = {
    [fontFamily: string]: UNFontData[];
};
export type UNFontData = {
    fontWeight: FontWeight;
    sources: UNFontSource[];
};
export type UNFontSource = {
    fileName: string;
    assetDirRelativePath: string;
    format?: string;
};
export declare enum FontWeight {
    Thin = 100,
    ExtraLight = 200,
    Light = 300,
    Regular = 400,
    Medium = 500,
    SemiBold = 600,
    Bold = 700,
    ExtraBold = 800,
    Black = 900
}
//# sourceMappingURL=fonts.types.d.ts.map