import React from 'react';
import { WebView } from 'react-native-webview';
import type { WebViewMessage } from '../messages/webMessages';
import { PresentationMode, WebComponentType } from '../types/internal/webComponent.types';
export interface WebComponentProps {
    type: WebComponentType;
    presentationMode?: PresentationMode;
    params?: string;
    theme?: string;
    language?: string;
    onMessage?: (message: WebViewMessage) => void;
    script?: string;
    isScrollable?: boolean;
    nestedScrollEnabled?: boolean;
    handleScroll?: (event: any) => void;
    windowParams?: string;
}
export declare const WebComponent: React.ForwardRefExoticComponent<WebComponentProps & React.RefAttributes<WebView<{}>>>;
//# sourceMappingURL=WebComponent.d.ts.map