import type { BottomSheetNativeEvent, BottomSheetNativeMessage } from './bottomSheetMessage';
import type { SDKEvent, SDKMessage } from './sdkMessage';

export type NativeMessageType =
  | SDKMessage
  | BottomSheetNativeMessage

export type NativeEvent =
  | SDKEvent
  | BottomSheetNativeEvent

export interface NativeMessage {
  type: NativeMessageType,
  details?: NativeEvent
}
