import { StyleSheet, Platform } from 'react-native';

export const getStylesObject = () => {
  return StyleSheet.create({
    addToWalletButton: {
      position: 'absolute',
      height: Platform.OS === 'ios' ? 48 : 55,
      bottom: 32,
      left: 0,
      right: 0,
      marginHorizontal: 24
    },
    loader: {
      position: 'absolute',
      top: 0,
      bottom: 0,
      left: 0,
      right: 0,
    }
  });
};
