import type { HostComponent, ViewProps } from 'react-native';
import codegenNativeComponent from 'react-native/Libraries/Utilities/codegenNativeComponent';

export interface NativeProps extends ViewProps {
  filterTouchesWhenObscured: boolean;
}

export default codegenNativeComponent<NativeProps>(
  'UNSecureNativeView',
) as HostComponent<NativeProps>;
