export enum WebComponentType {
  card = 'unit-elements-card',
  multipleCards = 'unit-elements-multiple-cards',
  bookPayment = 'unit-elements-book-payment',
  activity = 'unit-elements-activity',
  slot = 'unit-elements-sdk-slot',
  account = 'unit-elements-account',
  checkDeposit = 'unit-elements-check-deposit',
  achDebitPayment = 'unit-elements-ach-debit-payment',
  achCreditPayment = 'unit-elements-ach-credit-payment',
  cardAction = 'unit-elements-card-action',
  programDetails = 'unit-elements-program-details',
  nextRepayment = 'unit-elements-next-repayment',
  payeeManagement = 'unit-elements-payee-management',
  wirePayment = 'unit-elements-wire-payment',
  whiteLabelApp = 'unit-elements-white-label-app',
  multiFactorAuthentication = 'unit-elements-multi-factor-authentication',
  createCard = 'unit-elements-create-card',
  cardMenu = 'unit-elements-card-menu'
}

export enum PresentationMode {
  /*
    CoverInjectedHeight - give id (<webViewId> param) to enable style injection to the root. Then cover the injected height.

    Inherit -  inherit the parent size by style of 100 view height

    Default - return the unit component script
  */

  CoverInjectedHeight = 'coverInjectedHeight',
  Inherit = 'inherit',
  Default = 'deafult'
}
