export enum UNWalletCode {
  Apple = 'ApplePayPushProvision',
  Google = 'GooglePayPushProvision',
}

export enum UNWalletName {
  Apple = 'APPLE',
  Google = 'GOOGLE',
}

export interface UNWallet {
  name: string;
  code: string;
  status: UNCardAddToWalletStatus
}

export enum UNCardAddToWalletStatus {
  pending,
  readyToProvisioning = 'ReadyToProvision',
  addedToWallet = 'AlreadyProvisioned',
  iosProvisionedInCurrentDevice = 'ProvisionedInCurrentDevice',
  iosProvisionedInPairedDevice = 'ProvisionedInPairedDevice',
  androidNotInstalled = 'NotInstalled',
  androidWalletSetupNotCompleted = 'WalletSetupNotCompleted',
  androidWalletAppUpdateAvailable = 'WalletAppUpdateAvailable'

}
